---
title: Get DNS requests sent by user.
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/dns-log/get-dns-requests-sent-by-user/
product: CloudConnexa Docs
---

# Get DNS requests sent by user.

`GET /api/v1/dns-log/user-dns-resolutions/page`

This endpoint retrieves DNS resolutions performed by a user, aggregated within an hourly interval. Results support pagination and configurable page sizes for efficient data retrieval.

**Example Request:**

```
GET /api/v1/dns-log/user-dns-resolutions/page?startHour=2024-11-08T14:00:00Z&hoursBack=1&page=0&size=1000
```

**Example Response:**

```json
{
     "content": [
         {
             "time": 1731412800000,
             "domain": "connectivity-check.ubuntu.com",
             "memberId": "memberId@tenant",
             "internalDomain": false,
             "allowedCount": 23,
             "blockedCount": 0,
             "failedCount": 0
         },
         {
             "time": 1731416400000,
             "domain": "reddit.com",
             "memberId": "memberId@tenant",
             "internalDomain": false,
             "allowedCount": 2,
             "blockedCount": 0,
             "failedCount": 0
         }
     ],
     "totalElements": 2,
     "totalPages": 1,
     "numberOfElements": 2,
     "page": 0,
     "size": 1000
 }
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| startHour | query | string(date-time) | true | (Type: String) (Mandatory) A String date-time, according to ISO 8601 in UTC timezone, of an hour to start collecting data from. |
| hoursBack | query | integer(int32) | false | (Type: Integer) (Optional, def value: 1, min: 1, max: 2) The amount of hours back to retrieve the information for. |
| page | query | integer(int32) | false | (Type: Integer) (Optional, def value: 0, min: 0)A page number to retrieve the data for. |
| size | query | integer(int32) | false | (Type: Integer) (Optional, def value: 500, min: 10, max: 10000) The number of records per page |

### Detailed descriptions

```
startHour: (Type: String) (Mandatory) A String date-time, according to ISO 8601 in UTC timezone, of an hour to start collecting data from. Value is rounded to the past hour if more granular value provided
Notes: * Max 30 days of history available.
* If value is before (now - 30 days), an error will be returned.
* Should use ISO_INSTANT format, e.g. 2024-11-08T14:00:00Z.
```

```
hoursBack: (Type: Integer) (Optional, def value: 1, min: 1, max: 2) The amount of hours back to retrieve the information for.
Notes: * Has to be more than 1 and less than 2.
```

**page**: (Type: Integer) (Optional, def value: 0, min: 0)A page number to retrieve the data for. Number of items per page is passed as size parameter. Requests for data for a page with number more than data exists will result as empty page response.

**size**: (Type: Integer) (Optional, def value: 500, min: 10, max: 10000) The number of records per page

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | None |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request | [ErrorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/errorresponse.md) |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized | None |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests | None |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error | [ErrorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/schemas/errorresponse.md) |

## Response Schema

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Disable DNS Log](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/dns-log/disable-dns-log.md)
Next: [Get DNS Log feature state enablement](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-3/dns-log/get-dns-log-feature-state-enablement.md)
Index: https://openvpn.net/cloud-docs/llms.txt
